## php.java.bridge.http
Interface IContextFactoryVisitor

All Superinterfaces:
  IContextFactory

All Known Implementing Classes:
  PhpFacesScriptContextFactory, PhpScriptContextFactory, ServletContextFactory, SimpleContextFactory

    public interface IContextFactoryVisitor

extends IContextFactory

Interface that ContextFactory visitors must implement.

Author:
  jostb

Method Summary
`void` `visit(ContextFactory visited)` Called when a visitor has been attached.

Methods inherited from interface php.java.bridge.http.IContextFactory
`destroy, getBridge, getContext, getId, getSession, recycle, recycle, remove, setBridge, setContext, waitFor`

Method Detail

### visit

    void visit(ContextFactory visited)

  Called when a visitor has been attached.

  Parameters:
    `visited` - The context factory